<template>
  <div class="nav-icon container--menu" :class="{ open: showMenu }" @click="toggleMenu">
    <span></span>
    <span></span>
    <span></span>
    <span></span>
  </div>
</template>

<script>
export default {
  name: 'HamburguerIcon',
  props: {
    showMenu: {
      type: Boolean,
      default: false,
    },
    toggleMenu: {
      default: () => {},
    },
  },
};
</script>

<style lang="sass" scoped>
@import '@/assets/sass/colors.sass'
.nav-icon
  width: 2rem
  height: 1.5rem
  position: relative
  -webkit-transform: rotate(0deg)
  -moz-transform: rotate(0deg)
  -o-transform: rotate(0deg)
  transform: rotate(0deg)
  -webkit-transition: .5s ease-in-out
  -moz-transition: .5s ease-in-out
  -o-transition: .5s ease-in-out
  transition: .5s ease-in-out
  cursor: pointer

.nav-icon span
  display: block
  position: absolute
  height: 1.6px
  width: 2rem
  background: $white
  border-radius: 9px
  opacity: 1
  left: 0
  -webkit-transform: rotate(0deg)
  -moz-transform: rotate(0deg)
  -o-transform: rotate(0deg)
  transform: rotate(0deg)
  -webkit-transition: .25s ease-in-out
  -moz-transition: .25s ease-in-out
  -o-transition: .25s ease-in-out
  transition: .25s ease-in-out

.nav-icon span:nth-child(1)
  top: 0px

.nav-icon span:nth-child(2),#nav-icon span:nth-child(3)
  top: 10px

.nav-icon span:nth-child(4)
  top: 20px

.nav-icon.open span:nth-child(1)
  top: 15px
  width: 0%
  left: 50%

.nav-icon.open span:nth-child(2)
  top: 10px
  -webkit-transform: rotate(45deg)
  -moz-transform: rotate(45deg)
  -o-transform: rotate(45deg)
  transform: rotate(45deg)

.nav-icon.open span:nth-child(3)
  top: 10px
  -webkit-transform: rotate(-45deg)
  -moz-transform: rotate(-45deg)
  -o-transform: rotate(-45deg)
  transform: rotate(-45deg)

.nav-icon.open span:nth-child(4)
  top: 8px
  width: 0%
  left: 50%
</style>
